Package opennlp.tools.util.featuregen

## Class PrefixFeatureGeneratorFactory

- java.lang.Object
- - opennlp.tools.util.featuregen.GeneratorFactory.AbstractXmlFeatureGeneratorFactory
  - - opennlp.tools.util.featuregen.PrefixFeatureGeneratorFactory

-     public class PrefixFeatureGeneratorFactory
      extends GeneratorFactory.AbstractXmlFeatureGeneratorFactory

  See Also:
    `PrefixFeatureGenerator`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrefixFeatureGeneratorFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AdaptiveFeatureGenerator` | `create()` |
    `AdaptiveFeatureGenerator` | `create​(Element generatorElement, FeatureGeneratorResourceProvider resourceManager)` | Deprecated.

    - ### Methods inherited from class opennlp.tools.util.featuregen.GeneratorFactory.AbstractXmlFeatureGeneratorFactory

      `getArtifactSerializerMapping, getBool, getBool, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getStr, getStr`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrefixFeatureGeneratorFactory

          public PrefixFeatureGeneratorFactory()

  - ### Method Detail

    - #### create

          @Deprecated
          public AdaptiveFeatureGenerator create​(Element generatorElement,
                                                 FeatureGeneratorResourceProvider resourceManager)

      Deprecated.

    - #### create

          public AdaptiveFeatureGenerator create()
                                          throws InvalidFormatException

      Specified by:
        `create` in class `GeneratorFactory.AbstractXmlFeatureGeneratorFactory`
      Returns:
        null if the subclass uses `GeneratorFactory.AbstractXmlFeatureGeneratorFactory.resourceManager` to instantiate
      Throws:
        `InvalidFormatException`